#! /bin/sh

# JAVA_HOME=/usr/lib/jvm/java-6-sun
# export JAVA_HOME

CATALINA_OPTS="-Xms64M -Xmx512M -Xss2M"
export CATALINA_OPTS

PRG="$0"

while [ -h "$PRG" ]; do
  ls=`ls -ld "$PRG"`
  link=`expr "$ls" : '.*-> \(.*\)$'`
  if expr "$link" : '/.*' > /dev/null; then
    PRG="$link"
  else
    PRG=`dirname "$PRG"`/"$link"
  fi
done

PRGDIR=`dirname "$PRG"`

CATALINA_HOME=$PRGDIR/server

chmod +x $CATALINA_HOME/bin/*.sh
sh $CATALINA_HOME/bin/shutdown.sh
